opam-version: "2.0"
maintainer: "contact@nomadic-labs.com"
authors: [ "Nomadic Labs" "Ocamlpro" ]
license: "MIT"
homepage: "https://gitlab.com/nomadic-labs/resto"
bug-reports: "https://gitlab.com/nomadic-labs/resto/issues"
dev-repo: "git+https://gitlab.com/nomadic-labs/resto"
synopsis: "A minimal OCaml library for type-safe HTTP/JSON RPCs"

build: [
  [ "dune" "build" "-p" name "-j" jobs ]
]

depends: [
  "ocaml" { >= "4.10" }
  "dune" { >= "1.11" }
  "uri" {>= "1.9.0" }
  "resto-cohttp" {= version }
  "cohttp-lwt" { >= "4.0.0" }
  "lwt" { >= "3.0.0" & < "6.0.0" }
]
